package org.zipcoder.store;

import java.util.Objects;

public class User {

    private long id;
    private String name;

    public User(){
        id = 0;
        name = "";
    }

    public User(long id) {
        this.id = id;
        name = "";
    }

    public User(String name) {
        id = 0;
        this.name = name;
    }

    public User(long id, String name){
        this.id = id;
        this.name = name;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public boolean equals(User anotherUser) {
        if (anotherUser.getId() == id && anotherUser.getName().equals(name)) {
            return true;
        }
        else return false;
    }
    public int hashCode() {
        return Objects.hash(id, name);
    }
}
